Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006978opensim[REGION] OpenSim Corepublic2014-01-28 09:292014-07-29 13:42
ReporterGarmin Kawaguichi 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006978: [VarRegion] Double-click teleport and VarRegion
DescriptionTeleport by "Double Click" within the VarRegion did not work with the version of 2014_01_21; with the latest version, there is an improvement but half the time the teleport goes fails or sometimes in the wrong place.

Additional InformationWith version 2014_01_21 we had a workaround which gave good results (within the VarRegion) :

OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs

in private bool HandleTeleportLocationRequest(IClientAPI sender, Packet Pack)
Ln 8945 before handlerTeleportLocationRequest(this,......

                //Check if the regionhandle is inside the varRegion
                //If true :: change regionhandle & position X Y
                uint locx = 0, locy = 0;
Util.RegionHandleToWorldLoc(tpLocReq.Info.RegionHandle, out locx, out locy);
                if ((locx >= m_scene.RegionInfo.WorldLocX) && (locx <= (m_scene.RegionInfo.WorldLocX + m_scene.RegionInfo.RegionSizeX))
                    && (locy >= m_scene.RegionInfo.WorldLocY) && (locy <= (m_scene.RegionInfo.WorldLocY + m_scene.RegionInfo.RegionSizeY)))
                {
                    tpLocReq.Info.RegionHandle = m_scene.RegionInfo.RegionHandle;
                    tpLocReq.Info.Position.X += (locx - m_scene.RegionInfo.WorldLocX);
                    tpLocReq.Info.Position.Y += (locy - m_scene.RegionInfo.WorldLocY);
                }

Tested with the last commit (2014_01_28) the results are acceptable.
Windows 7 and Net4
VarRegion 1024 x 1024 standalone
FireStorm and Singularity
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerSing & Fire
Attached Files

- Relationships

-  Notes
(0025205)
Robert Adams (administrator)
2014-02-15 19:16

These changes have been incorporated into the 'master' source branch. Is this fixed?
(0025213)
Garmin Kawaguichi (reporter)
2014-02-16 02:53

Double-click teleport around a 5 x 5 VarRegion now works fine.
It helps a lot to move over very large area, thank you very much!
(0025217)
Robert Adams (administrator)
2014-02-16 09:09

Added the operation of the patch and double-clicking is working.

- Issue History
Date Modified Username Field Change
2014-01-28 09:29 Garmin Kawaguichi New Issue
2014-02-15 07:00 Robert Adams Assigned To => Robert Adams
2014-02-15 07:00 Robert Adams Status new => assigned
2014-02-15 19:16 Robert Adams Note Added: 0025205
2014-02-16 02:53 Garmin Kawaguichi Note Added: 0025213
2014-02-16 09:09 Robert Adams Note Added: 0025217
2014-02-16 09:09 Robert Adams Status assigned => resolved
2014-02-16 09:09 Robert Adams Fixed in Version => master (dev code)
2014-02-16 09:09 Robert Adams Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker